package com.persagy.iot.test

import com.persagy.iot.utils._
import org.apache.hadoop.hbase.client._
import org.apache.hadoop.hbase.util.Bytes
import org.apache.hadoop.hbase.{Cell, CellUtil, TableName}

import scala.collection.JavaConverters.asScalaBufferConverter

object IOTAppTest {

  /** 只要状态为 report 的数据 */
  val common_type: String = "report"

  /** 判断功能号的值是否存在 */
  val no_value: String = "ff ff ff ff"

  val accuracy_tableName: String = "accuracy_data"
  val family: String = "data"
  val sysTime: String = "sys_time"
  val value: String = "value"

  var conn: Connection = _
  var table: Table = _

  def main(args: Array[String]): Unit = {
    conn = HbaseUtil.getHbaseConnection()

    table = conn.getTable(TableName.valueOf(accuracy_tableName))

    val rowKey: String = "1002:22:1"
    val get = new Get(Bytes.toBytes(rowKey))

    val result: Result = table.get(get)
    val row: String = Bytes.toString(result.getRow)
    for (cell:Cell <- result.listCells().asScala){
      val string: String = Bytes.toString(CellUtil.cloneQualifier(cell))
      val str: String = Bytes.toString(CellUtil.cloneFamily(cell))
      println(str)
      string match {
        case "sys_time" => println(row + " : " + string + ":" + Bytes.toString(CellUtil.cloneValue(cell)))
        case "value" => println(row + " : " + string + ":" + Bytes.toString(CellUtil.cloneValue(cell)))
        case _ => println("no")
      }

    }
  }


}

